DefaultAxisServerFactory (Axis API)
Keywords: org.apache.axis.server.DefaultAxisServerFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.server
Class DefaultAxisServerFactory

    java.lang.Object
      org.apache.axis.server.DefaultAxisServerFactory

All Implemented Interfaces:
  AxisServerFactory

Direct Known Subclasses:
  JNDIAxisServerFactory

public class DefaultAxisServerFactory
extends java.lang.Object
implements AxisServerFactory

Helper class for obtaining AxisServers. Default implementation.

Author:
  Glen Daniels (gdaniels@apache.org)

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Constructor Summary
`DefaultAxisServerFactory()`

Method Summary
`AxisServer` | `getServer(java.util.Map environment)` Get an AxisServer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### DefaultAxisServerFactory

    public DefaultAxisServerFactory()

Method Detail

### getServer

    public AxisServer getServer(java.util.Map environment)
                         throws AxisFault

  Get an AxisServer.

  Factory obtains EngineConfiguration as first found of the following: a) EngineConfiguration instance, keyed to EngineConfiguration.PROPERTY_NAME in 'environment', or b) EngineConfiguration class name, keyed to AxisEngine.PROP_DEFAULT_CONFIG_CLASS in AxisProperties. Class is instantiated if found.

  If an EngineConfiguration cannot be located, the default AxisServer constructor is used.

  The AxisServer's option AxisEngine.PROP_ATTACHMENT_DIR is set to the (first found) value of either AxisEngine.ENV_ATTACHMENT_DIR or AxisEngine.ENV_SERVLET_REALPATH.

  Specified by:
    `getServer` in interface `AxisServerFactory`
  Parameters:
    `environment` - The following keys are used: AxisEngine.ENV_ATTACHMENT_DIR - Set as default value for Axis option AxisEngine.PROP_ATTACHMENT_DIR AxisEngine.ENV_SERVLET_REALPATH - Set as alternate default value for Axis option AxisEngine.PROP_ATTACHMENT_DIR EngineConfiguration.PROPERTY_NAME - Instance of EngineConfiguration, if not set then an attempt is made to retreive a class name from AxisEngine.PROP_CONFIG_CLASS
  Throws:
    `AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.